Debian Bug report logs - #145498
RFP: egd -- Entropy Gathering Daemon - userspace /dev/random

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Grant Bowman <grantbow@grantbow.com>

Date: Thu, 2 May 2002 05:18:01 UTC

Severity: wishlist

Done: damog@cerdita.damog.net (David Moreno Garza)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#145498; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Grant Bowman <grantbow@grantbow.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Grant Bowman <grantbow@grantbow.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Cc: debian-hurd@lists.debian.org
Subject: RFP: egd -- Entropy Gathering Daemon - userspace /dev/random written in perl
Date: Wed, 01 May 2002 22:14:43 -0700
Package: wnpp
Version: N/A; reported 2002-05-01
Severity: wishlist

* Package name    : egd
  Version         : 0.8
  Upstream Author : Brian Warner <warner@lothar.com>
* URL             : http://egd.sourceforge.net/
* License         : GPL
  Description     : Entropy Gathering Daemon - userspace /dev/random written in perl

This is needed by the Hurd port to replace the kernel based /dev/random

-- System Information
Debian Release: 3.0
Architecture: i386
Kernel: Linux woody 2.4.18-k6 #1 Sun Apr 14 12:43:22 EST 2002 i586
Locale: LANG=en, LC_CTYPE=en_US




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#145498; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Grant Bowman <grantbow@grantbow.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #10 received at 145498@bugs.debian.org (full text, mbox):

From: Grant Bowman <grantbow@grantbow.com>
To: 145498@bugs.debian.org
Cc: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
Subject: Re: RFP: egd -- Entropy Gathering Daemon - userspace /dev/random written in perl
Date: Thu, 2 May 2002 01:48:47 -0700
A clarification from Marcus.

----- Forwarded message from Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de> -----
From: Marcus Brinkmann <Marcus.Brinkmann@ruhr-uni-bochum.de>
To: Grant Bowman <grantbow@grantbow.com>
Cc: debian-hurd@lists.debian.org
Subject: Re: RFP: egd -- Entropy Gathering Daemon - userspace /dev/random written in perl
Date: Thu, 2 May 2002 08:14:00 +0200

On Wed, May 01, 2002 at 10:14:43PM -0700, Grant Bowman wrote:
> This is needed by the Hurd port to replace the kernel based /dev/random

Actually, we will have a kernel based random device in oskit, it is critical
to get good random.  And a translator for /dev/random that can take
randomness from various sources, including egd, so it's still useful.

Just to clear up the "replace".  Thanks for packaging this.

Marcus

-- 
`Rhubarb is no Egyptian god.' Debian http://www.debian.org brinkmd@debian.org
Marcus Brinkmann              GNU    http://www.gnu.org    marcus@gnu.org
Marcus.Brinkmann@ruhr-uni-bochum.de
http://www.marcus-brinkmann.de
----- End forwarded message -----




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#145498; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Robert Millan <zeratul2@wanadoo.es>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #15 received at 145498@bugs.debian.org (full text, mbox):

From: Robert Millan <zeratul2@wanadoo.es>
To: Grant Bowman <grantbow@grantbow.com>
Cc: debian-hurd@lists.debian.org, 145498@bugs.debian.org
Subject: Re: RFP: egd -- Entropy Gathering Daemon - userspace /dev/random written in perl
Date: Thu, 2 May 2002 06:32:56 +0200
On Thu, May 02, 2002 at 08:14:00AM +0200, Marcus Brinkmann wrote:
> On Wed, May 01, 2002 at 10:14:43PM -0700, Grant Bowman wrote:
> > This is needed by the Hurd port to replace the kernel based /dev/random
> 
> Actually, we will have a kernel based random device in oskit, it is critical
> to get good random.  And a translator for /dev/random that can take
> randomness from various sources, including egd, so it's still useful.

Well, as upstream says:

"EGD is an Entropy Gathering Daemon meant to be used on systems that can run
GPG but which don't have this [/dev/random] convenient source of random bits."

This is not really useful on GNU/Linux. It would be useful on GNU for some
time untill we have a complete random translator, but that translator
gathering entropy from EGD makes the whole process slower.

Why not just looking at EGD's sources to learn where does it take
entropy from and incorporating that features to the translator?

Just my two cents

--
Robert Millan

"5 years from now everyone will be running
free GNU on their 200 MIPS, 64M SPARCstation-5"

              Andrew S. Tanenbaum, 30 Jan 1992



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#145498; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Marcus Brinkmann <marcus@gnu.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #20 received at 145498@bugs.debian.org (full text, mbox):

From: Marcus Brinkmann <marcus@gnu.org>
To: Robert Millan <zeratul2@wanadoo.es>
Cc: Grant Bowman <grantbow@grantbow.com>, debian-hurd@lists.debian.org, 145498@bugs.debian.org
Subject: Re: RFP: egd -- Entropy Gathering Daemon - userspace /dev/random written in perl
Date: Thu, 2 May 2002 16:03:29 -0400
On Thu, May 02, 2002 at 06:32:56AM +0200, Robert Millan wrote:
> "EGD is an Entropy Gathering Daemon meant to be used on systems that can run
> GPG but which don't have this [/dev/random] convenient source of random bits."

hat might be what it claims to be, but it is still useful outside of
this context.

> This is not really useful on GNU/Linux. It would be useful on GNU for some
> time untill we have a complete random translator, but that translator
> gathering entropy from EGD makes the whole process slower.

It can be used on GNU/Linux to generate fairly good randomness without
draining the system random pool.  One defect in the Linux random
implementation is that both urandom and random drain the same entropy
pool.  If you don't need strong cryptographic random, you don't need
the secureness of /dev/random, but using /dev/urandom is basically a DoS
attack on /dev/random (bringing programs like gpg to their knees wrt
entropy).

> Why not just looking at EGD's sources to learn where does it take
> entropy from and incorporating that features to the translator?

It doesn't belong there.  The translators job is only to mix together
the entropy sources and provide a stream of random numbers.  It will
use (eventually) libchannel to access various sources, like the Mach
device, or the egd fifo, but it will not implement such sources itself.
(I might reconsider that, but I really don't see a need).

Thanks,
Marcus





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#145498; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mako Hill <mako@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #25 received at 145498@bugs.debian.org (full text, mbox):

From: Mako Hill <mako@debian.org>
To: Marcus.Brinkmann@ruhr-uni-bochum.de, Grant Bowman <grantbow@grantbow.com>, 145498@bugs.debian.org
Subject: Re: Bug#145498: RFP: egd -- Entropy Gathering Daemon - userspace /dev/random written in perl
Date: Sat, 4 May 2002 19:58:12 -0400
[Message part 1 (text/plain, inline)]
> > This is needed by the Hurd port to replace the kernel based /dev/random
> 
> Actually, we will have a kernel based random device in oskit, it is critical
> to get good random.  And a translator for /dev/random that can take
> randomness from various sources, including egd, so it's still useful.
> 
> Just to clear up the "replace".  Thanks for packaging this.

Did someone say they were going to take this? Looking at the bug it
seems to still be an open RFP and I'm don't see anyone claiming
responsibility.

I'd be willing to take it on if I'm not stepping on anyone's feet to do
so. Can I retitle the bug to ITP w/o doing so?

Thanks.

-- 
Mako Hill
mako@debian.org
http://people.debian.org/~mako/
[Message part 2 (application/pgp-signature, inline)]

Changed Bug title. Request was from Mako Hill <mako@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#145498; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Grant Bowman <grantbow@grantbow.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #32 received at 145498@bugs.debian.org (full text, mbox):

From: Grant Bowman <grantbow@grantbow.com>
To: Mako Hill <mako@debian.org>
Cc: 145498@bugs.debian.org
Subject: Re: Bug#145498: RFP: egd -- Entropy Gathering Daemon - userspace /dev/random written in perl
Date: Sun, 13 Oct 2002 14:22:28 -0700
Hi Mako,

I don't think I've talked to you since May despite a few emails.  Are
you still planning to package egd?  If not I'd like to take a shot at it
as my first real package.

Thanks,

-- 
-- Grant Bowman                                <grantbow@grantbow.com>


* Mako Hill <mako@debian.org> [020516 13:22]:
> * Grant Bowman <grantbow@grantbow.com> wrote:
> > How is the packaging going?
> > 
> > This link as also mentioned of interest for the Mach microkernel based
> > GNU/Hurd (hurd-i386) port packaging.  I don't know if you are running
> > the hurd or not, but at least a basic package will help tremendously.
> > 
> >         http://mel.interspace.dk/~sune/hurd/entropy.html
> 
> I have run the hurd in past and am planning on a sticking it on a new
> machine that shipped out to me today.

I recently got a third machine running the Hurd after many difficulties
with my second machine.

> I was a bit slowed down as finals were over the last week. I finished my
> last school work yesterday so hopefully I'll be able to get to it this
> weekend. Sorry if this has been an inconvenience for you.




Changed Bug title. Request was from Justin Pryzby <justinpryzby@users.sourceforge.net> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to damog@cerdita.damog.net (David Moreno Garza):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Grant Bowman <grantbow@grantbow.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #39 received at 145498-done@bugs.debian.org (full text, mbox):

From: damog@cerdita.damog.net (David Moreno Garza)
To: 145498-done@bugs.debian.org
Subject: WNPP bug closed
Date: Wed, 14 Sep 2005 21:55:05 -0500 (CDT)
Hello,

This is an automatic mail sent to close the RFP you have reported or 
are involved with.

Your RFP wnpp bug is being closed because of the following reasons:
- It is, as of today, older than 600 days.
- It haven't had any activity recently.
- The amount of ITPs on the Debian BTS is huge and we need to
  clean up a bit the place.

As this an automatic procedure, it could of course have something
wrong and probably it would be closing some bugs that are not 
intended by owners and submitters (like you) to be closed, for
example if the RFP is still of your interest, or there has been 
some kind of activity around it. In that case, please reopen the
bug, do it, DO IT NOW! (I don't want to be blamed because of
mass closing and not let people know that they can easily reopen
their bugs ;-).

To re-open it, you simply have to mail control@bugs.debian.org
with a body text like this:

reopen 123456
thanks bts

Replacing '123456' for the number of your RFP bug. The subject of the
mail is ignored. Or if you have any kind of problems when dealing with
the BTS, feel free to contact me and I'd be more than happy to help
you on this: <damog@debian.org>.

This is the first mass wnpp closing that will be done. The next close
will be done on inactive RFPs older than 450 days and finally, the
ones older than 365 days (an automatic script will close *inactive*
RFPs when they reach one year old).

A similar process is being applied to the ITP wnpp bugs in these
days.

Thanks for your cooperation,

 -- David Moreno Garza <damog@debian.org>  Wed, 14 Sep 2005 21:54:42 -0500



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 21:55:19 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:36:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.